-module('ex_6.22_global_tag_prefix').

-include_lib("eunit/include/eunit.hrl").

-define(FILENAME, "test/parsing/" ?MODULE_STRING ".yaml").

single_test_() ->
    ?_assertMatch(
      {yamerl_parser,
        {file,?FILENAME},
        [],
        <<>>,
        54,
        true,
        [],
        0,
        55,
        4,
        1,
        false,
        3,
        15,
        utf8,
        false,
        undefined,
        _,
        _,
        [],
        {bcoll,root,0,-1,1,1,-1,1,1},
        false,
        false,
        false,
        [{impl_key,false,false,undefined,undefined,1,1}],
        false,
        false,
        _,
        [],
        0,
        11,
        9,
        undefined,
        undefined,
        _,
        false,
        [],
        [
          {yamerl_stream_end,3,15},
          {yamerl_doc_end,3,15},
          {yamerl_collection_end,3,15,block,sequence},
          {yamerl_scalar,3,10,
            {yamerl_tag,3,3,"tag:example.com,2000:app/foo"},
            flow,double_quoted,"bar"},
          {yamerl_sequence_entry,3,1},
          {yamerl_collection_start,3,1,
            {yamerl_tag,3,1,{non_specific,"?"}},
            block,sequence},
          {yamerl_doc_start,2,1,{1,2},_},
          {yamerl_tag_directive,1,1,"!e!","tag:example.com,2000:app/"},
          {yamerl_stream_start,1,1,utf8}
        ]
      },
      yamerl_parser:file(?FILENAME)
    ).
