-module('ex_6.28_non_specific_tags').

-include_lib("eunit/include/eunit.hrl").

-define(FILENAME, "test/parsing/" ?MODULE_STRING ".yaml").

single_test_() ->
    ?_assertMatch(
      {yamerl_parser,
        {file,?FILENAME},
        [],
        <<>>,
        55,
        true,
        [],
        0,
        56,
        5,
        1,
        false,
        4,
        7,
        utf8,
        false,
        undefined,
        _,
        _,
        [],
        {bcoll,root,0,-1,1,1,-1,1,1},
        false,
        false,
        false,
        [{impl_key,false,false,undefined,undefined,1,1}],
        false,
        false,
        _,
        [],
        0,
        14,
        12,
        undefined,
        undefined,
        _,
        false,
        [],
        [
          {yamerl_stream_end,4,7},
          {yamerl_doc_end,4,7},
          {yamerl_collection_end,4,7,block,sequence},
          {yamerl_scalar,4,5,
            {yamerl_tag,4,3,{non_specific,"!"}},
            flow,plain,"12"},
          {yamerl_sequence_entry,4,1},
          {yamerl_scalar,3,3,
            {yamerl_tag,3,3,{non_specific,"?"}},
            flow,plain,"12"},
          {yamerl_sequence_entry,3,1},
          {yamerl_scalar,2,3,
            {yamerl_tag,2,3,{non_specific,"!"}},
            flow,double_quoted,"12"},
          {yamerl_sequence_entry,2,1},
          {yamerl_collection_start,2,1,
            {yamerl_tag,2,1,{non_specific,"?"}},
            block,sequence},
          {yamerl_doc_start,2,1,{1,2},_},
          {yamerl_stream_start,1,1,utf8}
        ]
      },
      yamerl_parser:file(?FILENAME)
    ).
