-module('ex_6.2_indentation_indicators').

-include_lib("eunit/include/eunit.hrl").

-define(FILENAME, "test/parsing/" ?MODULE_STRING ".yaml").

single_test_() ->
    ?_assertMatch(
      {yamerl_parser,
        {file,?FILENAME},
        [],
        <<>>,
        28,
        true,
        [],
        0,
        29,
        5,
        1,
        false,
        4,
        9,
        utf8,
        false,
        undefined,
        _,
        _,
        [],
        {bcoll,root,0,-1,1,1,-1,1,1},
        false,
        false,
        false,
        [{impl_key,false,false,undefined,undefined,1,1}],
        false,
        false,
        _,
        [],
        0,
        21,
        20,
        undefined,
        undefined,
        _,
        false,
        [],
        [
          {yamerl_stream_end,4,9},
          {yamerl_doc_end,4,9},
          {yamerl_collection_end,4,9,block,mapping},
          {yamerl_collection_end,4,9,block,sequence},
          {yamerl_collection_end,4,9,block,sequence},
          {yamerl_scalar,4,8,
            {yamerl_tag,4,8,{non_specific,"?"}},
            flow,plain,"d"},
          {yamerl_sequence_entry,4,6},
          {yamerl_scalar,3,8,
            {yamerl_tag,3,8,{non_specific,"?"}},
            flow,plain,"c"},
          {yamerl_sequence_entry,3,6},
          {yamerl_collection_start,3,6,
            {yamerl_tag,3,6,{non_specific,"?"}},
            block,sequence},
          {yamerl_sequence_entry,3,3},
          {yamerl_scalar,2,5,
            {yamerl_tag,2,5,{non_specific,"?"}},
            flow,plain,"b"},
          {yamerl_sequence_entry,2,3},
          {yamerl_collection_start,2,3,
            {yamerl_tag,2,3,{non_specific,"?"}},
            block,sequence},
          {yamerl_mapping_value,2,1},
          {yamerl_scalar,1,3,
            {yamerl_tag,1,3,{non_specific,"?"}},
            flow,plain,"a"},
          {yamerl_mapping_key,1,1},
          {yamerl_collection_start,1,1,
            {yamerl_tag,1,1,{non_specific,"?"}},
            block,mapping},
          {yamerl_doc_start,1,1,{1,2},_},
          {yamerl_stream_start,1,1,utf8}
        ]
      },
      yamerl_parser:file(?FILENAME)
    ).
