-module('ex_6.5_empty_lines').

-include_lib("eunit/include/eunit.hrl").

-define(FILENAME, "test/parsing/" ?MODULE_STRING ".yaml").

single_test_() ->
    ?_assertMatch(
      {yamerl_parser,
        {file,?FILENAME},
        [],
        <<>>,
        82,
        true,
        [],
        0,
        83,
        8,
        1,
        false,
        7,
        1,
        utf8,
        false,
        undefined,
        _,
        _,
        [],
        {bcoll,root,0,-1,1,1,-1,1,1},
        false,
        false,
        false,
        [{impl_key,false,false,undefined,undefined,1,1}],
        false,
        false,
        _,
        [],
        0,
        15,
        14,
        undefined,
        undefined,
        _,
        false,
        [],
        [
          {yamerl_stream_end,7,1},
          {yamerl_doc_end,7,1},
          {yamerl_collection_end,7,1,block,mapping},
          {yamerl_scalar,5,11,
            {yamerl_tag,5,11,{non_specific,"!"}},
            block,literal,"Clipped empty lines\n"},
          {yamerl_mapping_value,5,9},
          {yamerl_scalar,5,1,
            {yamerl_tag,5,1,{non_specific,"?"}},
            flow,plain,"Chomping"},
          {yamerl_mapping_key,5,1},
          {yamerl_scalar,2,3,
            {yamerl_tag,2,3,{non_specific,"!"}},
            flow,double_quoted,"Empty line\nas a line feed"},
          {yamerl_mapping_value,1,8},
          {yamerl_scalar,1,1,
            {yamerl_tag,1,1,{non_specific,"?"}},
            flow,plain,"Folding"},
          {yamerl_mapping_key,1,1},
          {yamerl_collection_start,1,1,
            {yamerl_tag,1,1,{non_specific,"?"}},
            block,mapping},
          {yamerl_doc_start,1,1,{1,2},_},
          {yamerl_stream_start,1,1,utf8}
        ]
      },
      yamerl_parser:file(?FILENAME)
    ).
