-module('ex_7.16_flow_mapping_entries').

-include_lib("eunit/include/eunit.hrl").

-define(FILENAME, "test/parsing/" ?MODULE_STRING ".yaml").

single_test_() ->
    ?_assertMatch(
      {yamerl_parser,
        {file,?FILENAME},
        [],
        <<>>,
        42,
        true,
        [],
        0,
        43,
        6,
        1,
        false,
        5,
        2,
        utf8,
        false,
        undefined,
        _,
        _,
        [],
        {bcoll,root,0,-1,1,1,-1,1,1},
        false,
        false,
        false,
        [{impl_key,false,false,undefined,undefined,1,1}],
        false,
        false,
        _,
        [],
        0,
        19,
        18,
        undefined,
        undefined,
        _,
        false,
        [],
        [
          {yamerl_stream_end,5,2},
          {yamerl_doc_end,5,2},
          {yamerl_collection_end,5,1,flow,mapping},
          {yamerl_scalar,5,1,
            {yamerl_tag,5,1,{non_specific,"?"}},
            flow,plain,[]},
          {yamerl_mapping_value,5,1},
          {yamerl_scalar,4,1,
            {yamerl_tag,4,1,{non_specific,"?"}},
            flow,plain,[]},
          {yamerl_mapping_key,4,1},
          {yamerl_scalar,3,11,
            {yamerl_tag,3,11,{non_specific,"?"}},
            flow,plain,"entry"},
          {yamerl_mapping_value,3,9},
          {yamerl_scalar,3,1,
            {yamerl_tag,3,1,{non_specific,"?"}},
            flow,plain,"implicit"},
          {yamerl_mapping_key,3,1},
          {yamerl_scalar,2,13,
            {yamerl_tag,2,13,{non_specific,"?"}},
            flow,plain,"entry"},
          {yamerl_mapping_value,2,11},
          {yamerl_scalar,2,3,
            {yamerl_tag,2,3,{non_specific,"?"}},
            flow,plain,"explicit"},
          {yamerl_mapping_key,2,1},
          {yamerl_collection_start,1,1,
            {yamerl_tag,1,1,{non_specific,"?"}},
            flow,mapping},
          {yamerl_doc_start,1,1,{1,2},_},
          {yamerl_stream_start,1,1,utf8}
        ]
      },
      yamerl_parser:file(?FILENAME)
    ).
