-module('ex_7.17_flow_mapping_separate_values').

-include_lib("eunit/include/eunit.hrl").

-define(FILENAME, "test/parsing/" ?MODULE_STRING ".yaml").

single_test_() ->
    ?_assertMatch(
      {yamerl_parser,
        {file,?FILENAME},
        [],
        <<>>,
        74,
        true,
        [],
        0,
        75,
        7,
        1,
        false,
        6,
        2,
        utf8,
        false,
        undefined,
        _,
        _,
        [],
        {bcoll,root,0,-1,1,1,-1,1,1},
        false,
        false,
        false,
        [{impl_key,false,false,undefined,undefined,1,1}],
        false,
        false,
        _,
        [],
        0,
        23,
        22,
        undefined,
        undefined,
        _,
        false,
        [],
        [
          {yamerl_stream_end,6,2},
          {yamerl_doc_end,6,2},
          {yamerl_collection_end,6,1,flow,mapping},
          {yamerl_scalar,5,3,
            {yamerl_tag,5,3,{non_specific,"?"}},
            flow,plain,"omitted key"},
          {yamerl_mapping_value,5,1},
          {yamerl_scalar,5,1,
            {yamerl_tag,5,1,{non_specific,"?"}},
            flow,plain,[]},
          {yamerl_mapping_key,5,1},
          {yamerl_scalar,4,14,
            {yamerl_tag,4,14,{non_specific,"?"}},
            flow,plain,[]},
          {yamerl_mapping_value,4,14},
          {yamerl_scalar,4,1,
            {yamerl_tag,4,1,{non_specific,"?"}},
            flow,plain,"omitted value"},
          {yamerl_mapping_key,4,1},
          {yamerl_scalar,3,15,
            {yamerl_tag,3,15,{non_specific,"?"}},
            flow,plain,[]},
          {yamerl_mapping_value,3,15},
          {yamerl_scalar,3,1,
            {yamerl_tag,3,1,{non_specific,"?"}},
            flow,plain,"http://foo.com"},
          {yamerl_mapping_key,3,1},
          {yamerl_scalar,2,12,
            {yamerl_tag,2,12,{non_specific,"!"}},
            flow,double_quoted,"separate"},
          {yamerl_mapping_value,2,10},
          {yamerl_scalar,2,1,
            {yamerl_tag,2,1,{non_specific,"?"}},
            flow,plain,"unquoted"},
          {yamerl_mapping_key,2,1},
          {yamerl_collection_start,1,1,
            {yamerl_tag,1,1,{non_specific,"?"}},
            flow,mapping},
          {yamerl_doc_start,1,1,{1,2},_},
          {yamerl_stream_start,1,1,utf8}
        ]
      },
      yamerl_parser:file(?FILENAME)
    ).
