-module('ex_7.18_flow_mapping_adjacent_values').

-include_lib("eunit/include/eunit.hrl").

-define(FILENAME, "test/parsing/" ?MODULE_STRING ".yaml").

single_test_() ->
    ?_assertMatch(
      {yamerl_parser,
        {file,?FILENAME},
        [],
        <<>>,
        50,
        true,
        [],
        0,
        51,
        6,
        1,
        false,
        5,
        2,
        utf8,
        false,
        undefined,
        _,
        _,
        [],
        {bcoll,root,0,-1,1,1,-1,1,1},
        false,
        false,
        false,
        [{impl_key,false,false,undefined,undefined,1,1}],
        false,
        false,
        _,
        [],
        0,
        19,
        18,
        undefined,
        undefined,
        _,
        false,
        [],
        [
          {yamerl_stream_end,5,2},
          {yamerl_doc_end,5,2},
          {yamerl_collection_end,5,1,flow,mapping},
          {yamerl_scalar,4,8,
            {yamerl_tag,4,8,{non_specific,"?"}},
            flow,plain,[]},
          {yamerl_mapping_value,4,8},
          {yamerl_scalar,4,1,
            {yamerl_tag,4,1,{non_specific,"!"}},
            flow,double_quoted,"empty"},
          {yamerl_mapping_key,4,1},
          {yamerl_scalar,3,13,
            {yamerl_tag,3,13,{non_specific,"?"}},
            flow,plain,"value"},
          {yamerl_mapping_value,3,11},
          {yamerl_scalar,3,1,
            {yamerl_tag,3,1,{non_specific,"!"}},
            flow,double_quoted,"readable"},
          {yamerl_mapping_key,3,1},
          {yamerl_scalar,2,12,
            {yamerl_tag,2,12,{non_specific,"?"}},
            flow,plain,"value"},
          {yamerl_mapping_value,2,11},
          {yamerl_scalar,2,1,
            {yamerl_tag,2,1,{non_specific,"!"}},
            flow,double_quoted,"adjacent"},
          {yamerl_mapping_key,2,1},
          {yamerl_collection_start,1,1,
            {yamerl_tag,1,1,{non_specific,"?"}},
            flow,mapping},
          {yamerl_doc_start,1,1,{1,2},_},
          {yamerl_stream_start,1,1,utf8}
        ]
      },
      yamerl_parser:file(?FILENAME)
    ).
