-module('ex_7.19_single_pair_flow_mappings').

-include_lib("eunit/include/eunit.hrl").

-define(FILENAME, "test/parsing/" ?MODULE_STRING ".yaml").

single_test_() ->
    ?_assertMatch(
      {yamerl_parser,
        {file,?FILENAME},
        [],
        <<>>,
        13,
        true,
        [],
        0,
        14,
        4,
        1,
        false,
        3,
        2,
        utf8,
        false,
        undefined,
        _,
        _,
        [],
        {bcoll,root,0,-1,1,1,-1,1,1},
        false,
        false,
        false,
        [{impl_key,false,false,undefined,undefined,1,1}],
        false,
        false,
        _,
        [],
        0,
        14,
        13,
        undefined,
        undefined,
        _,
        false,
        [],
        [
          {yamerl_stream_end,3,2},
          {yamerl_doc_end,3,2},
          {yamerl_collection_end,3,1,flow,sequence},
          {yamerl_collection_end,3,1,flow,mapping},
          {yamerl_scalar,2,6,
            {yamerl_tag,2,6,{non_specific,"?"}},
            flow,plain,"bar"},
          {yamerl_mapping_value,2,4},
          {yamerl_scalar,2,1,
            {yamerl_tag,2,1,{non_specific,"?"}},
            flow,plain,"foo"},
          {yamerl_mapping_key,2,1},
          {yamerl_collection_start,2,1,
            {yamerl_tag,2,1,{non_specific,"?"}},
            flow,mapping},
          {yamerl_sequence_entry,2,1},
          {yamerl_collection_start,1,1,
            {yamerl_tag,1,1,{non_specific,"?"}},
            flow,sequence},
          {yamerl_doc_start,1,1,{1,2},_},
          {yamerl_stream_start,1,1,utf8}
        ]
      },
      yamerl_parser:file(?FILENAME)
    ).
