-module('ex_7.24_flow_nodes').

-include_lib("eunit/include/eunit.hrl").

-define(FILENAME, "test/parsing/" ?MODULE_STRING ".yaml").

single_test_() ->
    ?_assertMatch(
      {yamerl_parser,
        {file,?FILENAME},
        [],
        <<>>,
        50,
        true,
        [],
        0,
        51,
        6,
        1,
        false,
        5,
        8,
        utf8,
        false,
        undefined,
        _,
        _,
        [],
        {bcoll,root,0,-1,1,1,-1,1,1},
        false,
        false,
        false,
        [{impl_key,false,false,undefined,undefined,1,1}],
        false,
        false,
        _,
        [],
        0,
        20,
        17,
        undefined,
        undefined,
        _,
        false,
        [],
        [
          {yamerl_stream_end,5,8},
          {yamerl_doc_end,5,8},
          {yamerl_collection_end,5,8,block,sequence},
          {yamerl_scalar,5,3,
            {yamerl_tag,5,3,"tag:yaml.org,2002:str"},
            flow,plain,[]},
          {yamerl_sequence_entry,5,1},
          {yamerl_alias,4,3,"anchor"},
          {yamerl_sequence_entry,4,1},
          {yamerl_scalar,3,11,
            {yamerl_tag,3,11,{non_specific,"!"}},
            flow,double_quoted,"c"},
          {yamerl_anchor,3,3,"anchor"},
          {yamerl_sequence_entry,3,1},
          {yamerl_scalar,2,3,
            {yamerl_tag,2,3,{non_specific,"!"}},
            flow,single_quoted,"b"},
          {yamerl_sequence_entry,2,1},
          {yamerl_scalar,1,9,
            {yamerl_tag,1,3,"tag:yaml.org,2002:str"},
            flow,double_quoted,"a"},
          {yamerl_sequence_entry,1,1},
          {yamerl_collection_start,1,1,
            {yamerl_tag,1,1,{non_specific,"?"}},
            block,sequence},
          {yamerl_doc_start,1,1,{1,2},_},
          {yamerl_stream_start,1,1,utf8}
        ]
      },
      yamerl_parser:file(?FILENAME)
    ).
