-module('ex_8.14_block_sequence').

-include_lib("eunit/include/eunit.hrl").

-define(FILENAME, "test/parsing/" ?MODULE_STRING ".yaml").

single_test_() ->
    ?_assertMatch(
      {yamerl_parser,
        {file,?FILENAME},
        [],
        <<>>,
        40,
        true,
        [],
        0,
        41,
        4,
        1,
        false,
        3,
        16,
        utf8,
        false,
        undefined,
        _,
        _,
        [],
        {bcoll,root,0,-1,1,1,-1,1,1},
        false,
        false,
        false,
        [{impl_key,false,false,undefined,undefined,1,1}],
        false,
        false,
        _,
        [],
        0,
        21,
        20,
        undefined,
        undefined,
        _,
        false,
        [],
        [
          {yamerl_stream_end,3,16},
          {yamerl_doc_end,3,16},
          {yamerl_collection_end,3,16,block,mapping},
          {yamerl_collection_end,3,16,block,sequence},
          {yamerl_collection_end,3,16,block,mapping},
          {yamerl_scalar,3,11,
            {yamerl_tag,3,11,{non_specific,"?"}},
            flow,plain,"three"},
          {yamerl_mapping_value,3,9},
          {yamerl_scalar,3,5,
            {yamerl_tag,3,5,{non_specific,"?"}},
            flow,plain,"two"},
          {yamerl_mapping_key,3,5},
          {yamerl_collection_start,3,5,
            {yamerl_tag,3,5,{non_specific,"?"}},
            block,mapping},
          {yamerl_sequence_entry,3,3},
          {yamerl_scalar,2,5,
            {yamerl_tag,2,5,{non_specific,"?"}},
            flow,plain,"one"},
          {yamerl_sequence_entry,2,3},
          {yamerl_collection_start,2,3,
            {yamerl_tag,2,3,{non_specific,"?"}},
            block,sequence},
          {yamerl_mapping_value,1,15},
          {yamerl_scalar,1,1,
            {yamerl_tag,1,1,{non_specific,"?"}},
            flow,plain,"block sequence"},
          {yamerl_mapping_key,1,1},
          {yamerl_collection_start,1,1,
            {yamerl_tag,1,1,{non_specific,"?"}},
            block,mapping},
          {yamerl_doc_start,1,1,{1,2},_},
          {yamerl_stream_start,1,1,utf8}
        ]
      },
      yamerl_parser:file(?FILENAME)
    ).
