-module('ex_8.15_block_sequence_entry_types').

-include_lib("eunit/include/eunit.hrl").

-define(FILENAME, "test/parsing/" ?MODULE_STRING ".yaml").

single_test_() ->
    ?_assertMatch(
      {yamerl_parser,
        {file,?FILENAME},
        [],
        <<>>,
        92,
        true,
        [],
        0,
        93,
        7,
        1,
        false,
        6,
        29,
        utf8,
        false,
        undefined,
        _,
        _,
        [],
        {bcoll,root,0,-1,1,1,-1,1,1},
        false,
        false,
        false,
        [{impl_key,false,false,undefined,undefined,1,1}],
        false,
        false,
        _,
        [],
        0,
        25,
        24,
        undefined,
        undefined,
        _,
        false,
        [],
        [
          {yamerl_stream_end,6,29},
          {yamerl_doc_end,6,29},
          {yamerl_collection_end,6,29,block,sequence},
          {yamerl_collection_end,6,29,block,mapping},
          {yamerl_scalar,6,8,
            {yamerl_tag,6,8,{non_specific,"?"}},
            flow,plain,"two"},
          {yamerl_mapping_value,6,6},
          {yamerl_scalar,6,3,
            {yamerl_tag,6,3,{non_specific,"?"}},
            flow,plain,"one"},
          {yamerl_mapping_key,6,3},
          {yamerl_collection_start,6,3,
            {yamerl_tag,6,3,{non_specific,"?"}},
            block,mapping},
          {yamerl_sequence_entry,6,1},
          {yamerl_collection_end,5,19,block,sequence},
          {yamerl_scalar,5,5,
            {yamerl_tag,5,5,{non_specific,"?"}},
            flow,plain,"two"},
          {yamerl_sequence_entry,5,3},
          {yamerl_scalar,4,5,
            {yamerl_tag,4,5,{non_specific,"?"}},
            flow,plain,"one"},
          {yamerl_sequence_entry,4,3},
          {yamerl_collection_start,4,3,
            {yamerl_tag,4,3,{non_specific,"?"}},
            block,sequence},
          {yamerl_sequence_entry,4,1},
          {yamerl_scalar,2,3,
            {yamerl_tag,2,3,{non_specific,"!"}},
            block,literal,"block node\n"},
          {yamerl_sequence_entry,2,1},
          {yamerl_scalar,1,1,
            {yamerl_tag,1,1,{non_specific,"?"}},
            flow,plain,[]},
          {yamerl_sequence_entry,1,1},
          {yamerl_collection_start,1,1,
            {yamerl_tag,1,1,{non_specific,"?"}},
            block,sequence},
          {yamerl_doc_start,1,1,{1,2},_},
          {yamerl_stream_start,1,1,utf8}
        ]
      },
      yamerl_parser:file(?FILENAME)
    ).
