-module('ex_8.16_block_mappings').

-include_lib("eunit/include/eunit.hrl").

-define(FILENAME, "test/parsing/" ?MODULE_STRING ".yaml").

single_test_() ->
    ?_assertMatch(
      {yamerl_parser,
        {file,?FILENAME},
        [],
        <<>>,
        27,
        true,
        [],
        0,
        28,
        3,
        1,
        false,
        2,
        12,
        utf8,
        false,
        undefined,
        _,
        _,
        [],
        {bcoll,root,0,-1,1,1,-1,1,1},
        false,
        false,
        false,
        [{impl_key,false,false,undefined,undefined,1,1}],
        false,
        false,
        _,
        [],
        0,
        16,
        15,
        undefined,
        undefined,
        _,
        false,
        [],
        [
          {yamerl_stream_end,2,12},
          {yamerl_doc_end,2,12},
          {yamerl_collection_end,2,12,block,mapping},
          {yamerl_collection_end,2,12,block,mapping},
          {yamerl_scalar,2,7,
            {yamerl_tag,2,7,{non_specific,"?"}},
            flow,plain,"value"},
          {yamerl_mapping_value,2,5},
          {yamerl_scalar,2,2,
            {yamerl_tag,2,2,{non_specific,"?"}},
            flow,plain,"key"},
          {yamerl_mapping_key,2,2},
          {yamerl_collection_start,2,2,
            {yamerl_tag,2,2,{non_specific,"?"}},
            block,mapping},
          {yamerl_mapping_value,1,14},
          {yamerl_scalar,1,1,
            {yamerl_tag,1,1,{non_specific,"?"}},
            flow,plain,"block mapping"},
          {yamerl_mapping_key,1,1},
          {yamerl_collection_start,1,1,
            {yamerl_tag,1,1,{non_specific,"?"}},
            block,mapping},
          {yamerl_doc_start,1,1,{1,2},_},
          {yamerl_stream_start,1,1,utf8}
        ]
      },
      yamerl_parser:file(?FILENAME)
    ).
