-module('ex_8.1_block_scalar_header').

-include_lib("eunit/include/eunit.hrl").

-define(FILENAME, "test/parsing/" ?MODULE_STRING ".yaml").

single_test_() ->
    ?_assertMatch(
      {yamerl_parser,
        {file,?FILENAME},
        [],
        <<>>,
        132,
        true,
        [],
        0,
        133,
        11,
        1,
        false,
        9,
        8,
        utf8,
        false,
        undefined,
        _,
        _,
        [],
        {bcoll,root,0,-1,1,1,-1,1,1},
        false,
        false,
        false,
        [{impl_key,false,false,undefined,undefined,1,1}],
        false,
        false,
        _,
        [],
        0,
        15,
        14,
        undefined,
        undefined,
        _,
        false,
        [],
        [
          {yamerl_stream_end,9,8},
          {yamerl_doc_end,9,8},
          {yamerl_collection_end,9,8,block,sequence},
          {yamerl_scalar,8,3,
            {yamerl_tag,8,3,{non_specific,"!"}},
            block,folded," strip"},
          {yamerl_sequence_entry,8,1},
          {yamerl_scalar,5,3,
            {yamerl_tag,5,3,{non_specific,"!"}},
            block,literal,"keep\n\n"},
          {yamerl_sequence_entry,5,1},
          {yamerl_scalar,3,3,
            {yamerl_tag,3,3,{non_specific,"!"}},
            block,folded," folded\n"},
          {yamerl_sequence_entry,3,1},
          {yamerl_scalar,1,3,
            {yamerl_tag,1,3,{non_specific,"!"}},
            block,literal,"literal\n"},
          {yamerl_sequence_entry,1,1},
          {yamerl_collection_start,1,1,
            {yamerl_tag,1,1,{non_specific,"?"}},
            block,sequence},
          {yamerl_doc_start,1,1,{1,2},_},
          {yamerl_stream_start,1,1,utf8}
        ]
      },
      yamerl_parser:file(?FILENAME)
    ).
