-module('ex_8.21_block_scalar_nodes').

-include_lib("eunit/include/eunit.hrl").

-define(FILENAME, "test/parsing/" ?MODULE_STRING ".yaml").

single_test_() ->
    ?_assertMatch(
      {yamerl_parser,
        {file,?FILENAME},
        [],
        <<>>,
        48,
        true,
        [],
        0,
        49,
        7,
        1,
        false,
        7,
        1,
        utf8,
        false,
        undefined,
        _,
        _,
        [],
        {bcoll,root,0,-1,1,1,-1,1,1},
        false,
        false,
        false,
        [{impl_key,false,false,undefined,undefined,1,1}],
        false,
        false,
        _,
        [],
        0,
        16,
        14,
        undefined,
        undefined,
        _,
        false,
        [],
        [
          {yamerl_stream_end,7,1},
          {yamerl_doc_end,7,1},
          {yamerl_collection_end,7,1,block,mapping},
          {yamerl_scalar,5,3,
            {yamerl_tag,4,4,"!foo"},
            block,folded,"value\n"},
          {yamerl_mapping_value,3,7},
          {yamerl_scalar,3,1,
            {yamerl_tag,3,1,{non_specific,"?"}},
            flow,plain,"folded"},
          {yamerl_mapping_key,3,1},
          {yamerl_scalar,1,10,
            {yamerl_tag,1,10,{non_specific,"!"}},
            block,literal,"value\n"},
          {yamerl_mapping_value,1,8},
          {yamerl_scalar,1,1,
            {yamerl_tag,1,1,{non_specific,"?"}},
            flow,plain,"literal"},
          {yamerl_mapping_key,1,1},
          {yamerl_collection_start,1,1,
            {yamerl_tag,1,1,{non_specific,"?"}},
            block,mapping},
          {yamerl_doc_start,1,1,{1,2},_},
          {yamerl_stream_start,1,1,utf8}
        ]
      },
      yamerl_parser:file(?FILENAME)
    ).
