-module('ex_8.2_block_indentation_indicator').

-include_lib("eunit/include/eunit.hrl").

-define(FILENAME, "test/parsing/" ?MODULE_STRING ".yaml").

single_test_() ->
    ?_assertMatch(
      {yamerl_parser,
        {file,?FILENAME},
        [],
        <<>>,
        69,
        true,
        [],
        0,
        70,
        12,
        1,
        false,
        12,
        1,
        utf8,
        false,
        undefined,
        _,
        _,
        [],
        {bcoll,root,0,-1,1,1,-1,1,1},
        false,
        false,
        false,
        [{impl_key,false,false,undefined,undefined,1,1}],
        false,
        false,
        _,
        [],
        0,
        15,
        14,
        undefined,
        undefined,
        _,
        false,
        [],
        [
          {yamerl_stream_end,12,1},
          {yamerl_doc_end,12,1},
          {yamerl_collection_end,12,1,block,sequence},
          {yamerl_scalar,9,3,
            {yamerl_tag,9,3,{non_specific,"!"}},
            block,folded,"\t detected\n"},
          {yamerl_sequence_entry,9,1},
          {yamerl_scalar,7,3,
            {yamerl_tag,7,3,{non_specific,"!"}},
            block,literal," explicit\n"},
          {yamerl_sequence_entry,7,1},
          {yamerl_scalar,3,3,
            {yamerl_tag,3,3,{non_specific,"!"}},
            block,folded,"\n\n# detected\n"},
          {yamerl_sequence_entry,3,1},
          {yamerl_scalar,1,3,
            {yamerl_tag,1,3,{non_specific,"!"}},
            block,literal,"detected\n"},
          {yamerl_sequence_entry,1,1},
          {yamerl_collection_start,1,1,
            {yamerl_tag,1,1,{non_specific,"?"}},
            block,sequence},
          {yamerl_doc_start,1,1,{1,2},_},
          {yamerl_stream_start,1,1,utf8}
        ]
      },
      yamerl_parser:file(?FILENAME)
    ).
